#!/usr/bin/env bash

# klevstul

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# how to download this script (as root):
#
#   cd /tmp
#   wget https://git.mz.fo/fro/lnx-arch/raw/branch/master/scripts/curae_setup.sh
#   cat curae_setup.sh                 # verify the downloaded script (IMPORTANT!)
#   chmod 755 curae_setup.sh           # make the script executable
#   ./curae_setup.sh                   # run the script
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
echo "<< curae_setup.sh >>"

if [ "$EUID" -ne 0 ]
  then echo "error: run as 'root'"
  exit
fi

base_url=https://git.mz.fo/fro/lnx-arch/raw/branch/master
src_url=${base_url}/scripts/curae.sh
home_dir=/usr/local/bin
this_file_name=fk-arc3

mkdir -p ${home_dir}
wget -q ${src_url} -O ${home_dir}/curae.sh
chmod 755 curae.sh

ln -s ${home_dir}/curae.sh /usr/local/bin/curae

echo "a fresh copy of curae.sh is now located at '${home_dir}/curae.sh'"
